### [1.0.4](https://github.com/power-assert-js/espower/releases/tag/v1.0.4) (2015-06-04)


  * try to create relative path if sourceMap.sourceRoot is locating source files on on a server ([ec0a91ba](https://github.com/power-assert-js/espower/commit/ec0a91baac5f747bd49ca88ea963141485bdddde))
  * never show absolute path or URL in power-assert output ([252b043f](https://github.com/power-assert-js/espower/commit/252b043f32db00fbbd81b7a6eb98e9d85c5b9371))


### [1.0.3](https://github.com/power-assert-js/espower/releases/tag/v1.0.3) (2015-05-31)


  * use basename when `sourceRoot` in `options.sourceMap` is locating source files on a server ([7822df1b](https://github.com/power-assert-js/espower/commit/7822df1b2097625231b2d70f71c5909851399f1d))


### [1.0.2](https://github.com/power-assert-js/espower/releases/tag/v1.0.2) (2015-05-30)


  * use basename when incoming `options.path` is absolute and it conflicts with `options.sourceRoot` or `sourceRoot` in `options.sourceMap` ([02f7b35a](https://github.com/power-assert-js/espower/commit/02f7b35a5acad20994b745de32cf512c2b95f57a))


### [1.0.1](https://github.com/power-assert-js/espower/releases/tag/v1.0.1) (2015-05-29)


  * apply `options.sourceRoot` if and only if incoming `options.path` is absolute ([65b4012a](https://github.com/power-assert-js/espower/commit/65b4012ab4ef71131fa5c4ea3090ab3f625e32d9))


## [1.0.0](https://github.com/power-assert-js/espower/releases/tag/v1.0.0) (2015-05-25)


#### Features

  * transfer to power-assert-js organization ([c3b79559](https://github.com/power-assert-js/espower/commit/c3b79559d1d5cd8ea6d66406b36749bbafe33637))
  * support `deepStrictEqual` and `notDeepStrictEqual` ([9d98bc17](https://github.com/power-assert-js/espower/commit/9d98bc178c0a21f41ff4888fba9c89139f8af195))
  * [`sourceRoot` option](https://github.com/power-assert-js/espower/pull/18). If set, filepath in power-assert output will be relative from `sourceRoot`
  * [`visitorKeys` option](https://github.com/power-assert-js/espower/pull/17) to customize AST traversal


## [0.11.0](https://github.com/power-assert-js/espower/releases/tag/v0.11.0) (2015-04-18)


#### Bug Fixes

* throw Error if AST is already instrumented ([1d47bdc3](https://github.com/power-assert-js/espower/commit/1d47bdc3169de7865e176ceb708a07247ab17703))


#### Features

* [ES6 support](https://github.com/power-assert-js/espower/pull/16)


## [0.10.0](https://github.com/power-assert-js/espower/releases/tag/v0.10.0) (2014-11-11)


* **espower:**
  * update escodegen ([22b002e3](https://github.com/power-assert-js/espower/commit/22b002e3c8c99679f5b97ae104ed66d685a0ea59))
  * update estraverse ([ecb6c07d](https://github.com/power-assert-js/espower/commit/ecb6c07dec5fd3c9cbf2da4e82667d0077ef3909))
  * update espurify ([9a75c16f](https://github.com/power-assert-js/espower/commit/9a75c16ff91f952b26a373df4e96bdcc6e09cfd8))
  * update escallmatch ([dbf424b1](https://github.com/power-assert-js/espower/commit/dbf424b1d3236dd2ac9e4076aef1ecee3867e228))


### 0.9.1 (2014-09-15)


#### Bug Fixes

* **espower:** decide to be skipped first, then enter node ([9d0a778a](https://github.com/power-assert-js/espower/commit/9d0a778a1ae97bb5c522cbfc7b1b65250118f2ea))


## 0.9.0 (2014-08-21)


#### Features

* **espower:**
  * adjust filepath in power-assert output if sourceMap option is given ([f919d59d](https://github.com/power-assert-js/espower/commit/f919d59d6eea764881e0266f562724b7142f7695))
  * adjust line number in power-assert output if sourceMap option is given ([8c035d89](https://github.com/power-assert-js/espower/commit/8c035d89ae88c8554cb8ca0b6bd0f7d6fe2008b0))


## 0.8.0 (2014-08-12)


#### Features


* **espower:**
  * [built and modularized by browserify](https://github.com/power-assert-js/espower/pull/9)
  * [use escallmatch module to describe instrumentation target patterns](https://github.com/power-assert-js/espower/pull/10)
  * support chained callee like `browser.assert.element(selector)` ([ea0a3ce9](https://github.com/power-assert-js/espower/commit/ea0a3ce96f56034ab6735365184e1e397f6561c0))


#### Breaking Changes

  * option `powerAssertVariableName` is now deprecated and ignored. Please use `patterns` option instead ([2f023f91](https://github.com/power-assert-js/espower/commit/2f023f91f3bbe8c6d9038e7237541112f2eaf143))
  * option `targetMethods` is now deprecated and ignored. Please use `patterns` option instead ([e75e5d35](https://github.com/power-assert-js/espower/commit/e75e5d35c33a7c128f14db224c5387520665b55e))

If you already customize instrumentation pattern using `powerAssertVariableName` and `targetMethods`, you need to migarte. To migrate, change your code from the following:

```javascript
var options = {
    powerAssertVariableName: 'yourAssert',
    targetMethods: {
        oneArg: [
            'okay'
        ],
        twoArgs: [
            'equal',
            'customEqual'
        ]
    }
};
var modifiedAst = espower(jsAst, options);
```

To:

```javascript
var options = {
    patterns: [
        'yourAssert(value, [message])',
        'yourAssert.okay(value, [message])',
        'yourAssert.equal(actual, expected, [message])',
        'yourAssert.customEqual(actual, expected, [message])'
    ]
};
var modifiedAst = espower(jsAst, options);
```
